Bug 569361 - perl-version is outdated
Summary: perl-version is outdated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 579682
Blocks: perl-duallifed
TreeView+ depends on / blocked
 
Reported: 2010-03-01 12:48 UTC by Ralf Corsepius
Modified: 2010-06-01 18:20 UTC (History)
6 users (show)

Fixed In Version: perl-version-0.82-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 07:01:28 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2010-03-01 12:48:25 UTC
Description of problem:

The versions of perl(version) bundled with the main perl package are outdated:
FC11: perl-version-0.74 (Oct. 2007)
FC12: perl-version-0.74
FC13: perl-version-0.77 (Jul 2009)
rawhide: perl-version-0.77

The current version in CPAN is 0.80.

The age of the FC11 and FC12 package is hardly acceptable.

Expected results:
Fedora to ship current packages.

Additional info:
* The age of the F11/F12 package blocks me from updating other perl-modules.

* If the RH Fedora "core-perl" maintainers would finally give up their refusal to allow shipping "dual-lived perl-modules" from several source packages, this was an "easy fix".

Comment 1 Marcela Mašláňová 2010-03-01 13:48:50 UTC
I can update this module and I planned to update at least some other core modules which are also problematic for my updates.

The discussion about additional info should be moved to mailing list.

Comment 2 Ralf Corsepius 2010-03-01 14:37:59 UTC
(In reply to comment #1)
> I can update this module and I planned to update at least some other core
> modules which are also problematic for my updates.
Feel free to do so.

> The discussion about additional info should be moved to mailing list.    
Well, actually this BZ is aiming at demonstrating the inefficiency and harmfulness your stubbornness is causing.

Or differently: I don't have a problem with your wanting to waste your time on something you could easily avoid, but ... I do have a problem with the effects this is causing.

Comment 3 Marcela Mašláňová 2010-03-01 14:46:50 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > I can update this module and I planned to update at least some other core
> > modules which are also problematic for my updates.
> Feel free to do so.
> 
> > The discussion about additional info should be moved to mailing list.    
> Well, actually this BZ is aiming at demonstrating the inefficiency and
> harmfulness your stubbornness is causing.
I wonder when I reject dual-lived modules.
> 
> Or differently: I don't have a problem with your wanting to waste your time on
> something you could easily avoid, but ... I do have a problem with the effects
> this is causing.    
This should be decided as a rule for sub-packages -> mailing list.

Comment 4 Ralf Corsepius 2010-03-09 03:14:27 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > I can update this module and I planned to update at least some other core
> > modules which are also problematic for my updates.
Ping? 1 week has passed by and nothing has happened.

Comment 5 Marcela Mašláňová 2010-03-09 07:12:05 UTC
Instead of wasting my time on updates as you pointed out in comment#2 I was looking on dual-lived modules, which were discussed on the list.

Comment 6 Ralf Corsepius 2010-03-09 07:38:00 UTC
(In reply to comment #5)
> Instead of wasting my time on updates as you pointed out in comment#2 I was
> looking on dual-lived modules, 
OK, I am glad to perceive a swing in your attitude, ...

> which were discussed on the list.
Until something will be decided, ... you have no choice ...

Comment 7 Bug Zapper 2010-04-28 11:54:25 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora Update System 2010-05-11 07:00:08 UTC
perl-version-0.82-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-version-0.82-1.fc12

Comment 9 Fedora Update System 2010-05-11 07:00:58 UTC
perl-version-0.82-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-version-0.82-1.fc13

Comment 10 Fedora Update System 2010-06-01 18:10:35 UTC
perl-version-0.82-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-01 18:20:29 UTC
perl-version-0.82-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.